/**
 * Company: www.baofu.com
 * @author dasheng(大圣)
 * @date 2018年3月22日
 */
package com.baofoo;

import java.util.Enumeration;
import java.util.Map;
import java.util.TreeMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.baofoo.rsa.RsaCodingUtil;
import com.baofoo.rsa.SignatureUtils;
import com.baofoo.util.FormatUtil;
import com.baofoo.util.Log;
import com.baofoo.util.SecurityUtil;

import sun.util.logging.resources.logging;


public class WebController {
	
	/**
	 * 异步接收地址。
	 * 
	 * @param request
	 * @param response
	 * @return
	 * @throws Exception
	 */
	
	public String ReturnUrl(HttpServletRequest request,HttpServletResponse response) throws Exception{
		request.setCharacterEncoding("utf-8");//utf-8编码接收
		Log.getAllParamLog(request);
		Map<String,String> RDateArry = new TreeMap<String,String>();
		
		Enumeration<String> e = request.getParameterNames();	
		while(e.hasMoreElements()) {
			String paraStr = e.nextElement();
			if(paraStr != null){
				RDateArry.put(paraStr, request.getParameter(paraStr));//接收参数,（使用TreeMap自动排序）
			}
		}
		
        String  cerpath = BaofooAction.getWebRoot()+"CER\\"+BaofooAction.getConstants().get("cer.name");//宝付公钥
        
		 if(!RDateArry.containsKey("data_content")){
			 throw new Exception("缺少验签参数！[data_content]");
		 }
		 String RSign = RDateArry.get("data_content").toString();
		 
		 String PostString = RsaCodingUtil.decryptByPubCerFile(RSign, cerpath);
		 PostString = SecurityUtil.Base64Decode(PostString);
		 Log.Write("=====返回查询数据解密结果:"+PostString);
		 
		return "OK";//和订单状态无关，收到通知即返回OK，
	}
	
}
